Bug 1483 - C++ error
Summary: C++ error
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-11 16:13 UTC by Eugene Kanter
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-30 04:12:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eugene Kanter 1999-03-11 16:13:41 UTC
a patch to /usr/include/arpa/nameserver.h which expains it
all:

--- nameser.h.orig      Tue Apr  7 14:27:30 1998
+++ nameser.h   Thu Jul  9 13:18:22 1998
@@ -338,6 +338,9 @@
        unsigned        nscount :16;    /* number of
authority entries */
        unsigned        arcount :16;    /* number of
resource entries */
 } HEADER;
+#ifdef __cplusplus
+extern "C" {
+#endif

 /*
  * Defines for handling compressed domain names
@@ -388,5 +391,8 @@
        *t_cp   = t_l; \
        (cp) += INT32SZ; \
 }
+#ifdef __cplusplus
+ }
+#endif

 #endif /* !_NAMESER_H_ */

Comment 1 Cristian Gafton 1999-03-19 00:18:59 UTC
use /usr/include/arpa/nameser.h

Comment 2 Eugene Kanter 1999-03-19 15:20:59 UTC
I mistyped /usr/include/arpa/nameser.h as
/usr/include/arpa/nameserver.h in my bug report.
The original patch is for /usr/include/arpa/nameser.h which does not
compile in C++ application.

I have just checked Statbuk glibc-devel-2.1-0.990311.i386.rpm
/usr/include/arpa/nameser.h file and it still DOES NOT contain

extern C

statementes. What is the problem?

Comment 3 Cristian Gafton 1999-03-30 04:12:59 UTC
Fixed in the current glibc, part of starbuck


Note You need to log in before you can comment on or make changes to this bug.